## kernel-headers-musl-4.19.88-3.src.tar.gz

=== Makefile ===
# Use config.mak to override any of the following variables.
# Or pass them to make, i.e.  "make prefix=/usr install"
# Do not make changes here.

prefix = /usr/local

LEVELS = * */* */*/* */*/*/* */*/*/*/*
ALL_INCLUDES = $(sort $(wildcard $(LEVELS:%=$(ARCH)/include/%.h)))
INSTALL_HDR_PATH = $(DESTDIR)$(prefix)
INSTALL_CMD=tools/install.sh

-include config.mak

ARCH ?= $(error ARCH must be set)

all:
defconfig:
mmu_config:
g5_defconfig:

headers_install: install

install: $(ALL_INCLUDES:$(ARCH)/include/%=$(INSTALL_HDR_PATH)/include/%)

$(INSTALL_HDR_PATH)/include/%: $(ARCH)/include/%
	$(INSTALL_CMD) -D -m 644 $< $@

.PHONY: install headers_install all defconfig mmu_config g5_defconfig

=== PKGBUILD ===
# Maintainer:  Sergej Pupykin <arch+pub@sergej.pp.ru>
# Maintainer:  Eli Schwartz <eschwartz@archlinux.org>
# Contributor: Jens Staal <staal1978@gmail.com>

pkgname=kernel-headers-musl
pkgver=4.19.88
pkgrel=3
pkgdesc="Linux kernel headers sanitized for use with musl libc"
arch=('x86_64')
url="https://github.com/sabotage-linux/kernel-headers"
license=('LGPL')
depends=('musl')
source=("$pkgname-$pkgver.tar.gz::https://github.com/sabotage-linux/kernel-headers/archive/v${pkgver/_/-}.tar.gz")
sha512sums=('db0239c40399c89cc250b9f1f53b7ec4eb119fde6b25c503aef7e88b80694df3a5e89196a22e66376731764bac83d9120794ee6c601a95b824f1ab770cb45a61')

_CARCH=$CARCH
[[ $CARCH = i?86 ]] && _CARCH=x86

build() {
  cd "$srcdir"/kernel-headers-${pkgver/_/-}
  make ARCH=${_CARCH} prefix=/usr/lib/musl
}

package() {
  cd "$srcdir"/kernel-headers-${pkgver/_/-}
  make ARCH=${_CARCH} prefix=/usr/lib/musl DESTDIR="$pkgdir" install
}
